#!/usr/bin/env python

# Copyright 2004 Evan Prodromou <evan@bad.dynu.ca>
# Licensed under the Academic Free License 2.1

# arch-tag: setup file for lrucache

"""This package provides a simple but efficient least-recently-used
(LRU) cache module. A single class, LRUCache, with a container
interface, provides prioritized caching. The implementation uses a
heap and a dictionary to provide quick inserts, deletes, and
references."""

from distutils.core import setup

__version__="0.2"

setup(name="lrucache",
      version=__version__,
      description="Least-recently-used (LRU) cache module",
      author="Evan Prodromou",
      author_email="evan@bad.dynu.ca",
      platforms=['any'],
      license = "http://opensource.org/licenses/afl-2.1.php",
      url="http://bad.dynu.ca/~evan/lrucache/",
      download_url="http://bad.dynu.ca/~evan/lrucache/lrucache-%s.tar.gz" % (__version__,),
      py_modules=['lrucache'],
      long_description=__doc__,
      classifiers= [
      'Development Status :: 3 - Alpha',
      'Intended Audience :: Developers',
      'License :: OSI Approved :: Academic Free License (AFL)',
      'Operating System :: OS Independent',
      'Programming Language :: Python',
      'Topic :: Software Development :: Libraries :: Python Modules',
      ])
